Page MenuHomeFreeBSD

Use compat.linux.emul_path instead of hardcoded path in /etc/rc.d/linux
ClosedPublic

Authored by freebsdnewbie_freenet.de on Dec 29 2020, 11:54 AM.

Details

Summary

In /etc/rc.d/linux the mounting paths of procfs, sysfs and devfs is hardcoded to "/compat/linux". Switching to the content of compat.linux.emul_path would allow to switch linuxulator to different place.

Diff Detail

Repository
R10 FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

trasz added a subscriber: trasz.

Looks good, thank you!

Do you have the commit bit, or should I go and commit it?

This revision is now accepted and ready to land.Jan 4 2021, 4:33 PM

I do not have a commit bit, so please go ahead and commit it :)

Make changes on source file instead of file in destination location (/etc/rc.d/linux). Use sysctl-variable for all occurences of hardcoded path of /compat/linux.

This revision now requires review to proceed.Jan 19 2021, 1:40 PM
This revision was not accepted when it landed; it landed in state Needs Review.Feb 2 2021, 2:46 PM
This revision was automatically updated to reflect the committed changes.
jkim added inline comments.
libexec/rc/rc.d/linux
21

This must be done after load_kld -e 'linux(aout|elf)' linux below. Otherwise, it may not be defined.